Get lifecycle action by requestid
GET/machine-identities/v1/lifecycle-actions/:requestId
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Returns one lifecycle request snapshot by requestId. Used for request-level inspection,
including cancel acceptance and subsequent status changes.
The original requester is always allowed to read their request. Otherwise, callers must have
the idn:machine-identity-lifecycle-action:manage scope and role-context access to the target
machine identity (organization admin, source admin, scoped source sub-admin, or effective owner).
403 Forbidden
FORBIDDEN.lifecycle-request-access-denied- caller is not the submitter and lacks both theidn:machine-identity-lifecycle-action:managescope and target role-context (response includesrequestIdas a parameter).FORBIDDEN.unsupported-type- the persisted lifecycle row is not scoped toAI_AGENT(targetTypeon read-by-request-id paths).
404 Not Found
NOT_FOUND.detailed- unknownrequestId, or persistedtargetTypedoes not match the target machine identity's subtype-to-resource-type mapping.
Request
Responses
- 200
- 400
- 401
- 403
- 404
- 429
- 500
Lifecycle action request snapshot.
Client Error - Returned if the request body is invalid.
Unauthorized - Returned if there is no authorization header, or if the JWT token is expired.
Forbidden - Returned if the user you are running as, doesn't have access to this end-point.
Not Found - returned if the request URL refers to a resource or object that does not exist
Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again.
Internal Server Error - Returned if there is an unexpected error.